<?php
/**
Plugin Name: Moja druga wtyczka
Version: 1.0
Description: Wtyczka tworząca Widget wyświetlający dowolny tekst na stronie.
Author: Daniel Kuczewski
Author URI: http://zaawansowanywordpress.pl
Plugin URI: http://zaawansowanywordpress.pl/2-widget/
 */

add_action( 'widgets_init', 'mdw_register_first_widget' );

function mdw_register_first_widget() {
    register_widget( 'Pierwszy_Widget');
}

class Pierwszy_Widget extends WP_Widget {
    function Pierwszy_Widget() {
        // tablica opcji.
        $widget_ops = array(
            'classname' => 'Pierwszy_widget', //nazwa klasy widgetu
            'description' => 'To mój pierwszy widget', //opis widoczny w panelu
        );
        //ładowanie
        parent::__construct( 'Pierwszy_Widget', 'Pierwszy Widget', $widget_ops );
    }
    function form($instance) {
        // Formularz w kokpicie administratora (tam gdzie przeciągamy widgety)
        $defaults = array('tekst' => 'Mój tekst');
        $instance = wp_parse_args( (array) $instance, $defaults);
        $tekst = $instance['tekst'];
        ?>
        <p>
            <label>Twój tekst</label>
            <input type="text" name="<?= $this->get_field_name('tekst');?>" value="<?= esc_attr($tekst);?>" />
        </p>
        <?php
    }
    function update($new_instance, $old_instance) {
        // zapis opcji widgetu
        $instance = $old_instance;
        $instance['tekst'] = strip_tags( $new_instance['tekst']);
        return $instance;
    }
    function widget( $args, $instance) {
        // Wyświetlanie widgetu uzytkownikowi
        extract($args);
        echo $before_widget;
        if(!empty($instance['tekst'])) {
            echo '<p>' . $instance['tekst'] . '</p>';
        }
        echo $after_widget;

    }
}